| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__ModifyTrunkRequest Struct Reference
Trunk Associations supporting in PSAP mode

Modify Trunk Association request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | trunkNo
| The incoming call number (associated with an ALI DB server) or URI (associated with a Held server) required: true default value[range]: NA [1..255]. More...
xsd__string | PrimaryAliDBName
| Primary ALI DB name. More...
xsd__string | SecondaryAliDBName
| Secondary ALI DB name. More...
enum unsp__LocationServiceType * | LocationServiceType
| Type of Location Service. More...
xsd__string | PrimaryHeldName
| Primary Held server name. More...
xsd__string | SecondaryHeldName
| Secondary Held server name. More...
xsd__string | DefaultDestination
| Default Destination. More...
xsd__string | RecoveryDevice
| Recovery Device. More...

## Detailed Description

Modify Trunk Association request.

Used by unsp__ModifyTrunk()

## Member Data Documentation

## ◆ DefaultDestination

xsd__string unsp__ModifyTrunkRequest::DefaultDestination

Default Destination.

required: false
default value[range]: NA [1..255]

## ◆ LocationServiceType

enum unsp__LocationServiceType* unsp__ModifyTrunkRequest::LocationServiceType

Type of Location Service.

Based on this selection Ali DB servers or Held servers could be updated.
required: false

## ◆ OperatorId

xsd__string unsp__ModifyTrunkRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ PrimaryAliDBName

xsd__string unsp__ModifyTrunkRequest::PrimaryAliDBName

Primary ALI DB name.

required: false
default value[range]: NA [1..15]

## ◆ PrimaryHeldName

xsd__string unsp__ModifyTrunkRequest::PrimaryHeldName

Primary Held server name.

required: false
default value[range]: NA [1..15]

## ◆ RecoveryDevice

xsd__string unsp__ModifyTrunkRequest::RecoveryDevice

Recovery Device.

required: false
default value[range]: NA [1..255]

## ◆ SecondaryAliDBName

xsd__string unsp__ModifyTrunkRequest::SecondaryAliDBName

Secondary ALI DB name.

required: false
default value[range]: NA [1..15]

## ◆ SecondaryHeldName

xsd__string unsp__ModifyTrunkRequest::SecondaryHeldName

Secondary Held server name.

required: false
default value[range]: NA [1..15]

## ◆ trunkNo

xsd__string unsp__ModifyTrunkRequest::trunkNo

The incoming call number (associated with an ALI DB server) or URI (associated with a Held server)
required: true
default value[range]: NA [1..255].

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h